{-# LANGUAGE NoImplicitPrelude #-}

module LambdaDatasets.GermanData
  ( module LambdaDatasets.GermanDefinition,
    module LambdaDatasets.GermanData,
  )
where

import Protolude
import LambdaDatasets.GermanDefinition

germanTrainingData :: [((AccountStatus, Int, CreditHistory, Purpose, Int, Savings, EmploymentStatus, Int, StatusAndSex, OtherDebtors, Int, Property, Int, OtherPlans, Housing, Int, Job, Int, Bool, Bool), GermanClass)]
germanTrainingData =
  [ ((AccountInDebt, 6, CreditsExist, Tech, 1169, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 67, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, Tech, 5951, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 12, CreditsExist, Education, 2096, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 49, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 42, HistoryGoodSoFar, FunitureOrEquipment, 7882, SmallSavings, LongTermEmployed, 2, MaleAndSingle, Guarantor, 4, Savings, 45, NoOtherPlans, ResidingForFree, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 24, DelaysInHistory, OldCar, 4870, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 53, NoOtherPlans, ResidingForFree, 2, Skilled, 2, False, True), Deny),
    ((NoAccount, 36, HistoryGoodSoFar, Education, 9055, UnknownOrNone, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 35, NoOtherPlans, ResidingForFree, 1, UnskilledResident, 2, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, FunitureOrEquipment, 2835, GoodSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, Savings, 53, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, NewCar, 6948, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 35, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 3059, GreatSavings, LongTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 61, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 30, CreditsExist, OldCar, 5234, SmallSavings, NotEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 28, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, False, True), Deny),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 1295, SmallSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 25, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 48, HistoryGoodSoFar, Business, 4308, SmallSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 24, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1567, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, CreditsExist, OldCar, 1199, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 60, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 15, HistoryGoodSoFar, OldCar, 1403, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 1282, NormalSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 32, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 24, CreditsExist, Tech, 2424, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 53, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 30, HistoryGood, Business, 8072, UnknownOrNone, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 25, PlansAtBank, OwningRecidency, 3, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, NewCar, 12579, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, UnknownOrNoProperty, 44, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 3430, GoodSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 2, True, True), Accept),
    ((NoAccount, 9, CreditsExist, OldCar, 2134, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 48, NoOtherPlans, OwningRecidency, 3, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 6, HistoryGoodSoFar, Tech, 2647, GoodSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 44, NoOtherPlans, Renting, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 10, CreditsExist, OldCar, 2241, SmallSavings, ShortTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 48, NoOtherPlans, Renting, 2, UnskilledResident, 2, False, False), Accept),
    ((LowAccountBalance, 12, CreditsExist, NewCar, 1804, NormalSavings, ShortTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, Savings, 44, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 10, CreditsExist, FunitureOrEquipment, 2069, UnknownOrNone, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 1, CarOrOther, 26, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, False), Accept),
    ((AccountInDebt, 6, HistoryGoodSoFar, FunitureOrEquipment, 1374, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 36, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((NoAccount, 6, HistoryGood, Tech, 426, SmallSavings, VeteranEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 39, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodHere, Tech, 409, GreatSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 42, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 7, HistoryGoodSoFar, Tech, 2415, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, Guarantor, 2, RealEstate, 34, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 60, DelaysInHistory, Business, 6836, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 63, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Business, 1913, GreatSavings, ShortTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 36, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 4020, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 27, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, OldCar, 5866, NormalSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Business, 1264, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 57, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, FunitureOrEquipment, 1474, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 33, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 45, CreditsExist, Tech, 4746, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 25, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 48, CreditsExist, Education, 6110, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 31, PlansAtBank, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 18, HistoryGoodSoFar, Tech, 2100, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, CoApplicant, 2, RealEstate, 37, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 10, HistoryGoodSoFar, Appliances, 1225, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 37, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Tech, 458, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 30, HistoryGoodSoFar, Tech, 2333, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1158, GoodSavings, MediumTermEmployed, 3, MaleAndSeperated, NoOtherDebtors, 1, CarOrOther, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, DelaysInHistory, Repairs, 6204, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 44, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, True, True), Accept),
    ((AccountInDebt, 30, CreditsExist, NewCar, 6187, NormalSavings, LongTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 24, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 48, CreditsExist, NewCar, 6143, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 58, PlansAtStores, ResidingForFree, 2, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 11, CreditsExist, OldCar, 1393, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 35, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, False, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, Tech, 2299, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 39, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 6, HistoryGoodSoFar, NewCar, 1352, GoodSavings, NotEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 23, NoOtherPlans, Renting, 1, UnemployedOrUnskilledNonResident, 1, True, True), Accept),
    ((NoAccount, 11, CreditsExist, OldCar, 7228, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, Savings, 39, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 2073, NormalSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, CoApplicant, 2, RealEstate, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, DelaysInHistory, FunitureOrEquipment, 2333, UnknownOrNone, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 29, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 27, DelaysInHistory, NewCar, 5965, SmallSavings, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 1262, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, NewCar, 3378, UnknownOrNone, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, Savings, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 36, DelaysInHistory, OldCar, 2225, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 57, PlansAtBank, ResidingForFree, 2, Skilled, 1, True, True), Deny),
    ((NoAccount, 6, HistoryGoodHere, OldCar, 783, UnknownOrNone, MediumTermEmployed, 1, MaleAndSingle, Guarantor, 2, RealEstate, 26, PlansAtStores, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 6468, UnknownOrNone, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 52, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 36, CreditsExist, Tech, 9566, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 31, PlansAtStores, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 18, HistoryGoodSoFar, OldCar, 1961, SmallSavings, VeteranEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 23, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, False, True), Accept),
    ((AccountInDebt, 36, CreditsExist, FunitureOrEquipment, 6229, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, CoApplicant, 4, UnknownOrNoProperty, 23, NoOtherPlans, Renting, 2, UnskilledResident, 1, True, True), Deny),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Business, 1391, SmallSavings, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 1, RealEstate, 27, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 15, CreditsExist, Tech, 1537, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, Guarantor, 4, RealEstate, 50, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 36, HistoryGood, Business, 1953, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 61, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Deny),
    ((LowAccountBalance, 48, HistoryGood, Business, 14421, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 3181, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 27, HistoryGoodSoFar, Repairs, 5190, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 48, NoOtherPlans, OwningRecidency, 4, Skilled, 2, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 2171, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 29, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 1007, GreatSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 1, RealEstate, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, Education, 1819, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 37, PlansAtStores, ResidingForFree, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 36, HistoryGoodSoFar, Tech, 2394, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, NewCar, 8133, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 30, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 7, CreditsExist, Tech, 730, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 46, NoOtherPlans, Renting, 2, UnskilledResident, 1, True, True), Accept),
    ((AccountInDebt, 8, CreditsExist, Other, 1164, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 51, PlansAtBank, ResidingForFree, 2, HighlySkilled, 2, True, True), Accept),
    ((LowAccountBalance, 42, CreditsExist, Business, 5954, SmallSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 41, PlansAtBank, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, Education, 1977, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 40, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 12, CreditsExist, NewCar, 1526, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 66, NoOtherPlans, ResidingForFree, 2, HighlySkilled, 1, False, True), Accept),
    ((AccountInDebt, 42, HistoryGoodSoFar, Tech, 3965, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 34, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 11, DelaysInHistory, Tech, 4771, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 51, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 54, HistoryGood, NewCar, 9436, UnknownOrNone, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 39, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((LowAccountBalance, 30, HistoryGoodSoFar, FunitureOrEquipment, 3832, SmallSavings, ShortTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 1, Savings, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 5943, UnknownOrNone, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 44, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((NoAccount, 15, HistoryGoodSoFar, Tech, 1213, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 47, PlansAtStores, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Business, 1568, NormalSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 24, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, Other, 1755, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 4, RealEstate, 58, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((AccountInDebt, 10, HistoryGoodSoFar, Tech, 2315, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 52, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, Business, 1412, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 2, RealEstate, 29, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, FunitureOrEquipment, 1295, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, Education, 12612, NormalSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 47, NoOtherPlans, ResidingForFree, 1, Skilled, 2, True, True), Deny),
    ((AccountInDebt, 18, HistoryGoodSoFar, OldCar, 2249, NormalSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 2, True, True), Accept),
    ((AccountInDebt, 12, HistoryGood, Repairs, 1108, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 12, CreditsExist, Tech, 618, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 56, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, CreditsExist, NewCar, 1409, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 54, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 797, UnknownOrNone, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 33, PlansAtBank, OwningRecidency, 1, UnskilledResident, 2, False, True), Deny),
    ((HighAccountBalanceOrRegular, 24, CreditsExist, FunitureOrEquipment, 3617, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, CoApplicant, 4, UnknownOrNoProperty, 20, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 1318, GreatSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 54, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 54, HistoryGood, Business, 15945, SmallSavings, ShortTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 58, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 12, CreditsExist, Education, 2012, UnknownOrNone, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 61, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Business, 2622, NormalSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 34, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 36, CreditsExist, Tech, 2337, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 20, DelaysInHistory, NewCar, 7057, UnknownOrNone, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, Savings, 36, PlansAtBank, Renting, 2, HighlySkilled, 2, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 1469, NormalSavings, VeteranEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 41, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, Tech, 2323, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 24, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, DelaysInHistory, Tech, 932, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 9, CreditsExist, FunitureOrEquipment, 1919, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 35, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, NewCar, 2445, UnknownOrNone, ShortTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 26, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, Other, 11938, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, CoApplicant, 3, CarOrOther, 39, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 2, True, True), Deny),
    ((NoAccount, 18, HistoryGoodHere, OldCar, 6458, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 39, PlansAtBank, OwningRecidency, 2, HighlySkilled, 2, True, True), Deny),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 6078, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 7721, UnknownOrNone, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 30, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, False), Accept),
    ((LowAccountBalance, 14, HistoryGoodSoFar, Business, 1410, GoodSavings, VeteranEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 6, DelaysInHistory, Business, 1449, NormalSavings, VeteranEmployed, 1, MaleAndSeperated, NoOtherDebtors, 2, CarOrOther, 31, PlansAtBank, OwningRecidency, 2, Skilled, 2, False, True), Accept),
    ((HighAccountBalanceOrRegular, 15, HistoryGoodSoFar, Education, 392, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 23, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, OldCar, 6260, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 28, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 36, CreditsExist, OldCar, 7855, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 25, PlansAtStores, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 1680, GoodSavings, VeteranEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 1, RealEstate, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 48, CreditsExist, Tech, 3578, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 47, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 42, HistoryGoodSoFar, Tech, 7174, UnknownOrNone, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 10, CreditsExist, FunitureOrEquipment, 2132, UnknownOrNone, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, CoApplicant, 3, RealEstate, 27, NoOtherPlans, Renting, 2, Skilled, 1, False, False), Accept),
    ((AccountInDebt, 33, CreditsExist, FunitureOrEquipment, 4281, GoodSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 23, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 12, CreditsExist, OldCar, 2366, GoodSavings, LongTermEmployed, 3, MaleAndSeperated, NoOtherDebtors, 3, CarOrOther, 36, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 21, HistoryGoodSoFar, Tech, 1835, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 25, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((NoAccount, 24, CreditsExist, NewCar, 3868, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 41, NoOtherPlans, Renting, 2, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, FunitureOrEquipment, 1768, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 24, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 10, CreditsExist, OldCar, 781, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 63, NoOtherPlans, ResidingForFree, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, FunitureOrEquipment, 1924, UnknownOrNone, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 27, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 12, CreditsExist, OldCar, 2121, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 701, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 40, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Repairs, 639, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 12, CreditsExist, NewCar, 1860, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 34, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 12, CreditsExist, OldCar, 3499, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, CoApplicant, 2, RealEstate, 29, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 48, HistoryGoodSoFar, OldCar, 8487, UnknownOrNone, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 36, DelaysInHistory, Education, 6887, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 29, PlansAtStores, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 15, HistoryGoodSoFar, FunitureOrEquipment, 2708, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, Savings, 27, PlansAtBank, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, FunitureOrEquipment, 1984, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 47, PlansAtBank, ResidingForFree, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 60, HistoryGoodSoFar, Tech, 10144, NormalSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 21, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 1240, UnknownOrNone, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 38, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 27, DelaysInHistory, NewCar, 8613, GreatSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 766, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 66, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((LowAccountBalance, 15, CreditsExist, Tech, 2728, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, Guarantor, 2, RealEstate, 35, PlansAtBank, OwningRecidency, 3, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, Tech, 1881, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 44, NoOtherPlans, Renting, 1, UnskilledResident, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 6, HistoryGoodSoFar, OldCar, 709, GreatSavings, ShortTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, False, False), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, Tech, 4795, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, UnknownOrNoProperty, 30, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 27, HistoryGoodSoFar, Tech, 3416, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 27, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, FunitureOrEquipment, 2462, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 21, CreditsExist, FunitureOrEquipment, 2288, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodHere, Business, 3566, NormalSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 6, CreditsExist, OldCar, 860, SmallSavings, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 39, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, OldCar, 682, NormalSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 51, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 36, CreditsExist, FunitureOrEquipment, 5371, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, Guarantor, 2, Savings, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 1582, GreatSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 46, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, Tech, 1346, NormalSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 42, PlansAtBank, ResidingForFree, 1, Skilled, 2, True, True), Accept),
    ((NoAccount, 10, HistoryGoodSoFar, Tech, 1924, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, Savings, 38, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, False), Accept),
    ((HighAccountBalanceOrRegular, 36, HistoryGoodSoFar, Tech, 5848, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, NewCar, 7758, GreatSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 29, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, DelaysInHistory, Business, 6967, NormalSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 36, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 1282, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 20, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 9, CreditsExist, Repairs, 1288, NormalSavings, VeteranEmployed, 3, MaleAndSingle, Guarantor, 4, RealEstate, 48, NoOtherPlans, OwningRecidency, 2, Skilled, 2, False, False), Accept),
    ((AccountInDebt, 12, HistoryGoodHere, Retraining, 339, SmallSavings, VeteranEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 1, CarOrOther, 45, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, OldCar, 3512, NormalSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 38, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 6, CreditsExist, Tech, 1898, UnknownOrNone, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 34, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Tech, 2872, NormalSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 2, True, True), Accept),
    ((NoAccount, 18, CreditsExist, OldCar, 1055, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, Appliances, 1262, GoodSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 36, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 10, HistoryGoodSoFar, OldCar, 7308, SmallSavings, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 70, PlansAtBank, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, OldCar, 909, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, FunitureOrEquipment, 2978, GoodSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, FunitureOrEquipment, 1131, SmallSavings, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 11, HistoryGoodSoFar, FunitureOrEquipment, 1577, GreatSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 20, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, FunitureOrEquipment, 3972, SmallSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 25, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, Business, 1935, SmallSavings, VeteranEmployed, 4, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 31, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 15, HistoryGood, OldCar, 950, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 33, NoOtherPlans, Renting, 2, Skilled, 2, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, FunitureOrEquipment, 763, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 24, DelaysInHistory, FunitureOrEquipment, 2064, SmallSavings, NotEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 34, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((LowAccountBalance, 8, HistoryGoodSoFar, Tech, 1414, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, Guarantor, 2, RealEstate, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, False), Accept),
    ((AccountInDebt, 21, DelaysInHistory, Education, 3414, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, Savings, 26, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 30, HistoryGoodHere, NewCar, 7485, UnknownOrNone, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 53, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 2577, SmallSavings, MediumTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 1, CarOrOther, 42, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 6, CreditsExist, Tech, 338, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 52, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 1963, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 31, NoOtherPlans, Renting, 2, HighlySkilled, 2, True, True), Accept),
    ((AccountInDebt, 21, CreditsExist, OldCar, 571, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 65, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 36, DelaysInHistory, Business, 9572, SmallSavings, ShortTermEmployed, 1, MaleAndSeperated, NoOtherDebtors, 1, CarOrOther, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 36, DelaysInHistory, Business, 4455, SmallSavings, MediumTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 2, RealEstate, 30, PlansAtStores, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 21, HistoryGoodHere, OldCar, 1647, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 40, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Deny),
    ((NoAccount, 24, CreditsExist, FunitureOrEquipment, 3777, GreatSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 50, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, OldCar, 884, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 36, PlansAtBank, OwningRecidency, 1, Skilled, 2, True, True), Deny),
    ((NoAccount, 15, CreditsExist, Tech, 1360, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 31, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodHere, NewCar, 5129, SmallSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 74, PlansAtBank, ResidingForFree, 1, HighlySkilled, 2, True, True), Deny),
    ((LowAccountBalance, 16, CreditsExist, OldCar, 1175, SmallSavings, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 68, NoOtherPlans, ResidingForFree, 3, UnemployedOrUnskilledNonResident, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 674, NormalSavings, LongTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 1, Savings, 20, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 18, HistoryGood, FunitureOrEquipment, 3244, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 33, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Business, 4591, GreatSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, Savings, 54, NoOtherPlans, OwningRecidency, 3, HighlySkilled, 1, True, True), Deny),
    ((LowAccountBalance, 48, HistoryGood, Business, 3844, NormalSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 34, NoOtherPlans, ResidingForFree, 1, UnskilledResident, 2, False, True), Deny),
    ((LowAccountBalance, 27, HistoryGoodSoFar, Business, 3915, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 2, True, True), Deny),
    ((NoAccount, 6, HistoryGoodSoFar, Tech, 2108, SmallSavings, LongTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 29, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 45, HistoryGoodSoFar, Tech, 3031, NormalSavings, MediumTermEmployed, 4, MaleAndSingle, Guarantor, 4, Savings, 21, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 9, CreditsExist, Education, 1501, SmallSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 34, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 6, CreditsExist, Tech, 1382, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, FunitureOrEquipment, 951, NormalSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 27, PlansAtBank, Renting, 4, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 24, HistoryGoodSoFar, NewCar, 2760, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 36, PlansAtBank, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, DelaysInHistory, FunitureOrEquipment, 4297, SmallSavings, VeteranEmployed, 4, MaleAndSeperated, NoOtherDebtors, 3, UnknownOrNoProperty, 40, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 9, CreditsExist, Education, 936, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 52, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 1168, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 27, DelaysInHistory, Business, 5117, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 26, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Retraining, 902, SmallSavings, LongTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, Savings, 21, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 12, CreditsExist, OldCar, 1495, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 38, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 30, CreditsExist, NewCar, 10623, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 38, NoOtherPlans, ResidingForFree, 3, HighlySkilled, 2, True, True), Accept),
    ((NoAccount, 12, CreditsExist, FunitureOrEquipment, 1935, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 43, NoOtherPlans, OwningRecidency, 3, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, CreditsExist, Appliances, 1424, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, Business, 6568, SmallSavings, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 21, PlansAtStores, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, NewCar, 1413, GreatSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 55, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, False), Accept),
    ((NoAccount, 9, CreditsExist, Tech, 3074, UnknownOrNone, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 33, NoOtherPlans, OwningRecidency, 2, Skilled, 2, False, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, Tech, 3835, UnknownOrNone, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 45, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((AccountInDebt, 27, HistoryGood, Business, 5293, SmallSavings, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 50, PlansAtStores, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((HighAccountBalanceOrRegular, 30, DelaysInHistory, Business, 1908, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 66, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 36, CreditsExist, Tech, 3342, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 51, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 6, CreditsExist, Retraining, 932, UnknownOrNone, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 39, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGood, Business, 3104, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 1, Savings, 31, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 36, HistoryGoodSoFar, Tech, 3913, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 3021, SmallSavings, MediumTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 2, RealEstate, 24, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 10, HistoryGoodSoFar, OldCar, 1364, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 64, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 625, SmallSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, Guarantor, 1, RealEstate, 26, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Education, 1200, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 23, PlansAtBank, Renting, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 707, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 30, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, DelaysInHistory, Business, 2978, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 32, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, NewCar, 4657, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 36, HistoryGood, Repairs, 2613, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, Tech, 10961, GreatSavings, LongTermEmployed, 1, MaleAndSingle, CoApplicant, 2, UnknownOrNoProperty, 27, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 7865, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 53, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 9, HistoryGoodSoFar, Tech, 1478, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 3149, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 22, PlansAtBank, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 36, HistoryGoodSoFar, Tech, 4210, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 9, HistoryGoodSoFar, OldCar, 2507, GoodSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 51, NoOtherPlans, ResidingForFree, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 2141, NormalSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Tech, 866, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, Guarantor, 2, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 4, CreditsExist, Tech, 1544, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 42, NoOtherPlans, OwningRecidency, 3, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 1823, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, PlansAtStores, OwningRecidency, 1, HighlySkilled, 2, False, True), Deny),
    ((LowAccountBalance, 6, HistoryGoodSoFar, OldCar, 14555, UnknownOrNone, NotEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, Savings, 23, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, True, True), Deny),
    ((LowAccountBalance, 21, HistoryGoodSoFar, Business, 2767, NormalSavings, VeteranEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, CarOrOther, 61, PlansAtBank, Renting, 2, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 12, CreditsExist, Tech, 1291, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 35, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 30, HistoryGoodSoFar, Tech, 2522, SmallSavings, VeteranEmployed, 1, MaleAndSingle, Guarantor, 3, Savings, 39, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 915, UnknownOrNone, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 29, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 6, HistoryGoodSoFar, Tech, 1595, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 51, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 48, HistoryGood, NewCar, 4605, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 24, NoOtherPlans, ResidingForFree, 2, Skilled, 2, False, True), Deny),
    ((NoAccount, 12, CreditsExist, Business, 1185, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGoodHere, Retraining, 3447, GoodSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 35, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Business, 1258, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 717, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 52, NoOtherPlans, OwningRecidency, 3, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, HistoryGood, OldCar, 1204, NormalSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 35, PlansAtBank, Renting, 1, Skilled, 1, False, False), Accept),
    ((HighAccountBalanceOrRegular, 24, HistoryGoodSoFar, FunitureOrEquipment, 1925, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Tech, 433, SmallSavings, NotEmployed, 3, FemaleAndSeperatedOrMarried, CoApplicant, 4, RealEstate, 22, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 6, CreditsExist, OldCar, 666, GreatSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 39, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, FunitureOrEquipment, 2251, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 46, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 30, HistoryGoodSoFar, OldCar, 2150, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 2, UnknownOrNoProperty, 24, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, DelaysInHistory, FunitureOrEquipment, 4151, NormalSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, Savings, 35, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, FunitureOrEquipment, 2030, UnknownOrNone, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 60, DelaysInHistory, Tech, 7418, UnknownOrNone, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Tech, 2684, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 35, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodHere, Tech, 2149, SmallSavings, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 1, UnknownOrNoProperty, 29, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 15, HistoryGoodSoFar, NewCar, 3812, NormalSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 11, CreditsExist, Tech, 1154, NormalSavings, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 57, NoOtherPlans, OwningRecidency, 3, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 1657, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 1603, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 55, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, CreditsExist, OldCar, 5302, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 36, NoOtherPlans, ResidingForFree, 3, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Education, 2748, SmallSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 57, PlansAtBank, ResidingForFree, 3, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 10, CreditsExist, OldCar, 1231, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 32, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, False), Accept),
    ((LowAccountBalance, 15, HistoryGoodSoFar, Tech, 802, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 37, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Deny),
    ((NoAccount, 36, CreditsExist, Business, 6304, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 1533, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 38, PlansAtStores, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 14, HistoryGoodSoFar, OldCar, 8978, SmallSavings, VeteranEmployed, 1, MaleAndSeperated, NoOtherDebtors, 4, Savings, 45, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, False), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 999, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 25, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, OldCar, 2662, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, False), Accept),
    ((NoAccount, 12, CreditsExist, FunitureOrEquipment, 1402, GoodSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 37, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodHere, OldCar, 12169, UnknownOrNone, NotEmployed, 4, MaleAndSingle, CoApplicant, 4, UnknownOrNoProperty, 36, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, Tech, 3060, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 30, HistoryGoodSoFar, Repairs, 11998, SmallSavings, ShortTermEmployed, 1, MaleAndSeperated, NoOtherDebtors, 1, UnknownOrNoProperty, 34, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Deny),
    ((NoAccount, 9, HistoryGoodSoFar, Tech, 2697, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 2404, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 26, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 1262, UnknownOrNone, VeteranEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, Savings, 49, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, FunitureOrEquipment, 4611, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 1901, NormalSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 29, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 15, CreditsExist, NewCar, 3368, GreatSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 23, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, FunitureOrEquipment, 1574, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 50, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 18, HistoryGoodHere, Tech, 1445, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 49, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 15, CreditsExist, FunitureOrEquipment, 1520, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 63, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, OldCar, 3878, NormalSavings, ShortTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, CarOrOther, 37, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 47, HistoryGoodSoFar, OldCar, 10722, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 35, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((AccountInDebt, 48, HistoryGoodSoFar, NewCar, 4788, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((LowAccountBalance, 48, DelaysInHistory, Other, 7582, NormalSavings, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 31, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1092, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 4, RealEstate, 49, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, DelaysInHistory, Tech, 1024, SmallSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 48, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, Business, 1076, SmallSavings, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, False), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, NewCar, 9398, SmallSavings, ShortTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 24, CreditsExist, NewCar, 6419, SmallSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 44, NoOtherPlans, ResidingForFree, 2, HighlySkilled, 2, True, True), Accept),
    ((HighAccountBalanceOrRegular, 42, CreditsExist, NewCar, 4796, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 56, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 48, CreditsExist, Business, 7629, UnknownOrNone, VeteranEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, CarOrOther, 46, PlansAtBank, OwningRecidency, 2, HighlySkilled, 2, False, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, FunitureOrEquipment, 9960, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, NewCar, 4675, UnknownOrNone, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 20, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 10, HistoryGoodSoFar, OldCar, 1287, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, CoApplicant, 2, Savings, 45, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, False), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, FunitureOrEquipment, 2515, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 43, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 21, CreditsExist, FunitureOrEquipment, 2745, GreatSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 32, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, OldCar, 672, SmallSavings, NotEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 54, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, True, True), Accept),
    ((LowAccountBalance, 36, HistoryGood, Tech, 3804, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 42, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((HighAccountBalanceOrRegular, 24, CreditsExist, OldCar, 1344, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 37, PlansAtBank, OwningRecidency, 2, UnskilledResident, 2, False, True), Deny),
    ((AccountInDebt, 10, CreditsExist, OldCar, 1038, SmallSavings, LongTermEmployed, 4, MaleAndSingle, CoApplicant, 3, Savings, 49, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 48, CreditsExist, OldCar, 10127, GoodSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 44, PlansAtBank, ResidingForFree, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 6, HistoryGoodSoFar, FunitureOrEquipment, 1543, GreatSavings, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, RealEstate, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 30, HistoryGoodSoFar, NewCar, 4811, UnknownOrNone, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 24, PlansAtStores, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 727, NormalSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, UnknownOrNoProperty, 33, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Deny),
    ((LowAccountBalance, 8, HistoryGoodSoFar, FunitureOrEquipment, 1237, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 9, HistoryGoodSoFar, OldCar, 276, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 22, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, Other, 5381, UnknownOrNone, NotEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 40, PlansAtBank, ResidingForFree, 1, UnemployedOrUnskilledNonResident, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, FunitureOrEquipment, 5511, NormalSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 25, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 24, HistoryGoodSoFar, FunitureOrEquipment, 3749, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 685, SmallSavings, LongTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 3, CarOrOther, 25, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 4, HistoryGoodSoFar, OldCar, 1494, UnknownOrNone, ShortTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 29, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, False), Accept),
    ((AccountInDebt, 36, HistoryGoodHere, FunitureOrEquipment, 2746, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 31, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 708, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, Guarantor, 3, Savings, 38, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, FunitureOrEquipment, 4351, UnknownOrNone, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 48, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Education, 701, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 32, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 15, DelaysInHistory, FunitureOrEquipment, 3643, SmallSavings, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 27, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 30, CreditsExist, OldCar, 4249, SmallSavings, NotEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 28, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 1938, SmallSavings, ShortTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 3, Savings, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, NewCar, 2910, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 34, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, FunitureOrEquipment, 2659, GreatSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, OldCar, 1028, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 36, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 8, CreditsExist, OldCar, 3398, SmallSavings, LongTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 39, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, False), Accept),
    ((NoAccount, 12, CreditsExist, FunitureOrEquipment, 5801, UnknownOrNone, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 49, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 1525, GreatSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 34, NoOtherPlans, OwningRecidency, 1, Skilled, 2, True, True), Accept),
    ((HighAccountBalanceOrRegular, 36, HistoryGoodSoFar, Tech, 4473, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 6, HistoryGoodSoFar, Tech, 1068, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 24, CreditsExist, NewCar, 6615, SmallSavings, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 75, NoOtherPlans, ResidingForFree, 2, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 18, CreditsExist, Education, 1864, NormalSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 60, HistoryGoodSoFar, OldCar, 7408, NormalSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 24, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, False, True), Deny),
    ((NoAccount, 48, CreditsExist, NewCar, 11590, NormalSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 24, PlansAtBank, Renting, 2, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGood, FunitureOrEquipment, 4110, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 23, PlansAtBank, Renting, 2, Skilled, 2, False, True), Deny),
    ((AccountInDebt, 6, CreditsExist, FunitureOrEquipment, 3384, SmallSavings, MediumTermEmployed, 1, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 44, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Deny),
    ((LowAccountBalance, 13, HistoryGoodSoFar, Tech, 2101, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, Guarantor, 4, Savings, 23, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 15, HistoryGoodSoFar, Appliances, 1275, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 24, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 4169, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 10, HistoryGoodSoFar, FunitureOrEquipment, 1521, SmallSavings, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, CarOrOther, 31, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, Education, 5743, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 24, NoOtherPlans, ResidingForFree, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 21, HistoryGoodSoFar, FunitureOrEquipment, 3599, SmallSavings, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 26, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Tech, 3213, GoodSavings, ShortTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 25, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Business, 4439, SmallSavings, VeteranEmployed, 1, MaleAndSingle, CoApplicant, 1, RealEstate, 33, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 10, HistoryGoodSoFar, OldCar, 3949, SmallSavings, ShortTermEmployed, 1, MaleAndSingle, Guarantor, 1, Savings, 37, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 15, CreditsExist, Tech, 1459, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 43, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 13, CreditsExist, Tech, 882, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, Guarantor, 4, RealEstate, 23, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, Tech, 3758, GoodSavings, NotEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 23, NoOtherPlans, Renting, 1, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((NoAccount, 6, DelaysInHistory, Business, 1743, NormalSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 34, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 9, CreditsExist, Education, 1136, GreatSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 32, NoOtherPlans, ResidingForFree, 2, Skilled, 2, False, True), Deny),
    ((NoAccount, 9, HistoryGoodSoFar, Appliances, 1236, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, FunitureOrEquipment, 959, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, False), Deny),
    ((NoAccount, 18, CreditsExist, NewCar, 3229, UnknownOrNone, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 38, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGood, Tech, 6199, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 28, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Deny),
    ((NoAccount, 10, HistoryGoodSoFar, Education, 727, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 46, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, OldCar, 1246, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 23, PlansAtStores, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 12, CreditsExist, Tech, 2331, UnknownOrNone, VeteranEmployed, 1, MaleAndSingle, CoApplicant, 4, RealEstate, 49, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 36, DelaysInHistory, Tech, 4463, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 26, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 776, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 30, HistoryGoodSoFar, FunitureOrEquipment, 2406, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Education, 1239, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 61, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, Tech, 3399, UnknownOrNone, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 37, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, DelaysInHistory, OldCar, 2247, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 36, PlansAtStores, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, FunitureOrEquipment, 1766, SmallSavings, MediumTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 2, Savings, 21, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, FunitureOrEquipment, 2473, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 25, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, Business, 1542, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 18, CreditsExist, NewCar, 3850, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, FunitureOrEquipment, 3650, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 22, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, FunitureOrEquipment, 3446, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 42, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Deny),
    ((LowAccountBalance, 18, HistoryGoodSoFar, FunitureOrEquipment, 3001, SmallSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 40, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, OldCar, 3079, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 6070, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 33, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 10, CreditsExist, FunitureOrEquipment, 2146, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 23, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 60, CreditsExist, OldCar, 13756, UnknownOrNone, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 63, PlansAtBank, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 60, HistoryGoodHere, Other, 14782, NormalSavings, VeteranEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 60, PlansAtBank, ResidingForFree, 2, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 48, HistoryGoodHere, Business, 7685, SmallSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, Guarantor, 4, CarOrOther, 37, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 18, DelaysInHistory, Tech, 2320, SmallSavings, NotEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 34, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 7, DelaysInHistory, Tech, 846, UnknownOrNone, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 36, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, OldCar, 14318, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 57, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 6, CreditsExist, OldCar, 362, NormalSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 52, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 20, HistoryGoodSoFar, FunitureOrEquipment, 2212, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 39, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, NewCar, 12976, SmallSavings, NotEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 38, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 22, HistoryGoodSoFar, OldCar, 1283, UnknownOrNone, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 25, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, OldCar, 1330, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 30, DelaysInHistory, Business, 4272, NormalSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 26, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 2238, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 25, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Tech, 1126, UnknownOrNone, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 21, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, FunitureOrEquipment, 7374, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 40, PlansAtStores, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 15, CreditsExist, Business, 2326, GoodSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 27, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 9, HistoryGoodSoFar, Business, 1449, SmallSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, OldCar, 1820, SmallSavings, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, Savings, 30, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, FunitureOrEquipment, 983, GreatSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 19, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, OldCar, 3249, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 39, PlansAtBank, ResidingForFree, 1, HighlySkilled, 2, True, True), Accept),
    ((AccountInDebt, 6, CreditsExist, Tech, 1957, SmallSavings, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 9, CreditsExist, FunitureOrEquipment, 2406, SmallSavings, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 31, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, False, True), Accept),
    ((LowAccountBalance, 39, DelaysInHistory, Education, 11760, NormalSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 32, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 2578, SmallSavings, NotEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 55, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, False, True), Accept),
    ((AccountInDebt, 36, CreditsExist, FunitureOrEquipment, 2348, SmallSavings, MediumTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 2, Savings, 46, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 1223, SmallSavings, VeteranEmployed, 1, MaleAndSeperated, NoOtherDebtors, 1, RealEstate, 46, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, CreditsExist, Tech, 1516, GreatSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 43, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Tech, 1473, SmallSavings, ShortTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 39, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, Business, 1887, UnknownOrNone, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 28, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, DelaysInHistory, Business, 8648, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 27, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((NoAccount, 14, DelaysInHistory, OldCar, 802, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 18, DelaysInHistory, OldCar, 2899, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 43, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, Tech, 2039, SmallSavings, ShortTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 1, Savings, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 24, CreditsExist, NewCar, 2197, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 43, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 15, HistoryGoodSoFar, Tech, 1053, SmallSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, False), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 3235, GoodSavings, VeteranEmployed, 3, MaleAndSeperated, NoOtherDebtors, 2, CarOrOther, 26, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 12, CreditsExist, OldCar, 939, GoodSavings, LongTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 28, NoOtherPlans, OwningRecidency, 3, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 24, HistoryGoodSoFar, Tech, 1967, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 20, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 33, CreditsExist, NewCar, 7253, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 35, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Business, 2292, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 42, PlansAtStores, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 10, HistoryGoodSoFar, OldCar, 1597, GoodSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 40, NoOtherPlans, Renting, 1, UnskilledResident, 2, False, False), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 1381, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 36, CreditsExist, NewCar, 5842, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 35, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 2579, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 33, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Deny),
    ((AccountInDebt, 18, DelaysInHistory, Education, 8471, UnknownOrNone, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 23, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 21, HistoryGoodSoFar, OldCar, 2782, GoodSavings, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 31, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, OldCar, 1042, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 15, HistoryGoodSoFar, OldCar, 3186, GreatSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 20, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, NewCar, 2028, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, CreditsExist, OldCar, 958, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 47, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 21, DelaysInHistory, FunitureOrEquipment, 1591, NormalSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 34, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, FunitureOrEquipment, 2762, UnknownOrNone, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 25, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 18, HistoryGoodSoFar, NewCar, 2779, SmallSavings, MediumTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 3, CarOrOther, 21, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 28, CreditsExist, Tech, 2743, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 29, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 1149, GreatSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 46, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 9, HistoryGoodSoFar, FunitureOrEquipment, 1313, SmallSavings, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 20, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, CreditsExist, Repairs, 1190, SmallSavings, NotEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 55, NoOtherPlans, ResidingForFree, 3, UnemployedOrUnskilledNonResident, 2, False, True), Deny),
    ((NoAccount, 5, HistoryGoodSoFar, Business, 3448, SmallSavings, LongTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 74, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, Other, 11328, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, CoApplicant, 3, CarOrOther, 29, PlansAtBank, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 6, CreditsExist, FunitureOrEquipment, 1872, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 36, NoOtherPlans, ResidingForFree, 3, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 24, CreditsExist, Repairs, 2058, SmallSavings, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, RealEstate, 33, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 9, HistoryGoodSoFar, FunitureOrEquipment, 2136, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1484, UnknownOrNone, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 1, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 6, HistoryGoodSoFar, Repairs, 660, GoodSavings, LongTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, OldCar, 1287, GreatSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 37, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 42, CreditsExist, Repairs, 3394, SmallSavings, NotEmployed, 4, MaleAndSingle, CoApplicant, 4, CarOrOther, 65, NoOtherPlans, OwningRecidency, 2, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodHere, Business, 609, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 1884, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 39, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 1620, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, CoApplicant, 3, Savings, 30, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 20, DelaysInHistory, Other, 2629, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 29, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Education, 719, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 41, PlansAtBank, OwningRecidency, 1, UnskilledResident, 2, False, True), Deny),
    ((LowAccountBalance, 48, CreditsExist, FunitureOrEquipment, 5096, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 9, CreditsExist, Education, 1244, UnknownOrNone, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 41, NoOtherPlans, Renting, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, OldCar, 1842, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 34, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 7, HistoryGoodSoFar, Tech, 2576, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, Guarantor, 2, RealEstate, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, FunitureOrEquipment, 1424, UnknownOrNone, VeteranEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 55, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 15, DelaysInHistory, Repairs, 1512, GreatSavings, MediumTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 3, Savings, 61, PlansAtStores, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 36, CreditsExist, NewCar, 11054, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 30, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, Tech, 518, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGood, FunitureOrEquipment, 2759, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 34, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 2670, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 35, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 4817, SmallSavings, LongTermEmployed, 2, MaleAndSingle, CoApplicant, 3, Savings, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 2679, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, UnknownOrNoProperty, 29, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 11, CreditsExist, OldCar, 3905, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 36, NoOtherPlans, Renting, 2, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, NewCar, 3386, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 35, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 6, HistoryGoodSoFar, Appliances, 343, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Tech, 4594, SmallSavings, ShortTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, FunitureOrEquipment, 3620, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, Guarantor, 2, Savings, 37, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 15, HistoryGoodSoFar, OldCar, 1721, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, FunitureOrEquipment, 3017, SmallSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 34, NoOtherPlans, Renting, 1, HighlySkilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Retraining, 754, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 38, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Business, 1950, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 34, PlansAtStores, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, NewCar, 2924, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, Guarantor, 4, UnknownOrNoProperty, 63, PlansAtBank, OwningRecidency, 1, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 24, DelaysInHistory, Tech, 1659, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 29, NoOtherPlans, Renting, 1, UnskilledResident, 1, True, True), Deny),
    ((NoAccount, 48, DelaysInHistory, Tech, 7238, UnknownOrNone, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 32, PlansAtBank, OwningRecidency, 2, Skilled, 2, False, True), Accept),
    ((NoAccount, 33, DelaysInHistory, Business, 2764, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 26, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, DelaysInHistory, NewCar, 4679, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 35, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, True, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, Tech, 3092, NormalSavings, ShortTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 22, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 6, HistoryGoodSoFar, Education, 448, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 9, HistoryGoodSoFar, OldCar, 654, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 6, HistoryGoodSoFar, Retraining, 1238, UnknownOrNone, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 36, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 2, True, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, Tech, 1245, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 18, HistoryGood, FunitureOrEquipment, 3114, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 26, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 39, HistoryGoodSoFar, NewCar, 2569, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 24, HistoryGoodSoFar, Tech, 5152, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 25, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Business, 1037, NormalSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 39, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 15, CreditsExist, FunitureOrEquipment, 1478, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 44, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((LowAccountBalance, 12, CreditsExist, Tech, 3573, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 23, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, OldCar, 1201, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, Savings, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 30, HistoryGoodSoFar, FunitureOrEquipment, 3622, GreatSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 57, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 15, DelaysInHistory, FunitureOrEquipment, 960, GreatSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, OldCar, 1163, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 44, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 6, DelaysInHistory, OldCar, 1209, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 47, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 3077, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 52, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 3757, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, CoApplicant, 4, UnknownOrNoProperty, 62, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 10, HistoryGoodSoFar, OldCar, 1418, NormalSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 35, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, False), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, OldCar, 3518, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, Guarantor, 3, Savings, 26, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 1934, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 26, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 27, HistoryGood, Business, 8318, SmallSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 42, NoOtherPlans, ResidingForFree, 2, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 6, CreditsExist, Tech, 1237, NormalSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 6, HistoryGoodSoFar, Tech, 368, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 38, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, CreditsExist, OldCar, 2122, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 39, NoOtherPlans, Renting, 2, UnskilledResident, 2, False, False), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 2996, UnknownOrNone, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 20, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 36, HistoryGoodSoFar, FunitureOrEquipment, 9034, NormalSavings, ShortTermEmployed, 4, MaleAndSingle, CoApplicant, 1, UnknownOrNoProperty, 29, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 24, CreditsExist, FunitureOrEquipment, 1585, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 40, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Tech, 1301, SmallSavings, VeteranEmployed, 4, MaleAndWidowedOrMarried, Guarantor, 2, RealEstate, 32, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 6, CreditsExist, OldCar, 1323, NormalSavings, VeteranEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 3123, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 36, HistoryGoodSoFar, NewCar, 5493, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 42, NoOtherPlans, ResidingForFree, 1, Skilled, 2, False, True), Accept),
    ((HighAccountBalanceOrRegular, 9, HistoryGoodSoFar, Tech, 1126, NormalSavings, VeteranEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 49, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, Tech, 1216, NormalSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 38, PlansAtBank, OwningRecidency, 2, Skilled, 2, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 1207, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 24, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 10, HistoryGoodSoFar, OldCar, 1309, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, Guarantor, 4, Savings, 27, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 15, CreditsExist, NewCar, 2360, GoodSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 15, HistoryGoodHere, OldCar, 6850, NormalSavings, NotEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, Savings, 34, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 2, True, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 1413, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, Savings, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 39, HistoryGoodSoFar, NewCar, 8588, NormalSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 45, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 759, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 36, HistoryGoodSoFar, NewCar, 4686, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 32, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 15, HistoryGoodSoFar, Business, 2687, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 26, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, DelaysInHistory, Tech, 585, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, CoApplicant, 4, RealEstate, 20, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 2255, UnknownOrNone, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, Savings, 54, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 6, CreditsExist, OldCar, 609, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 37, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, False), Accept),
    ((AccountInDebt, 6, CreditsExist, OldCar, 1361, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 40, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, False), Accept),
    ((NoAccount, 36, CreditsExist, FunitureOrEquipment, 7127, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 23, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 6, HistoryGoodSoFar, OldCar, 1203, NormalSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 43, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 6, CreditsExist, Tech, 700, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 36, NoOtherPlans, ResidingForFree, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Repairs, 5507, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 44, NoOtherPlans, ResidingForFree, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Tech, 3190, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 48, HistoryGood, FunitureOrEquipment, 7119, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 53, NoOtherPlans, ResidingForFree, 2, Skilled, 2, False, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 3488, NormalSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Tech, 1113, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 4, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((LowAccountBalance, 26, HistoryGoodSoFar, NewCar, 7966, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 15, CreditsExist, Education, 1532, NormalSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 4, CreditsExist, Tech, 1503, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 42, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, Tech, 2302, SmallSavings, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 4, CarOrOther, 31, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 6, HistoryGoodSoFar, OldCar, 662, SmallSavings, ShortTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 41, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, True, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, Education, 2273, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 32, NoOtherPlans, OwningRecidency, 2, Skilled, 2, False, True), Accept),
    ((LowAccountBalance, 15, HistoryGoodSoFar, OldCar, 2631, NormalSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Deny),
    ((NoAccount, 12, DelaysInHistory, NewCar, 1503, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 41, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 1311, NormalSavings, LongTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, Savings, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 3105, UnknownOrNone, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 25, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 21, CreditsExist, Education, 2319, SmallSavings, ShortTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 1, CarOrOther, 33, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 6, HistoryGoodSoFar, OldCar, 1374, UnknownOrNone, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 75, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, FunitureOrEquipment, 3612, SmallSavings, VeteranEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 37, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 48, HistoryGoodSoFar, OldCar, 7763, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 42, PlansAtBank, ResidingForFree, 1, HighlySkilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 18, HistoryGoodSoFar, FunitureOrEquipment, 3049, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 45, PlansAtStores, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1534, SmallSavings, ShortTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 1, RealEstate, 23, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, DelaysInHistory, OldCar, 2032, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 60, NoOtherPlans, ResidingForFree, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 30, HistoryGoodSoFar, FunitureOrEquipment, 6350, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 18, HistoryGoodSoFar, FunitureOrEquipment, 2864, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 34, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Deny),
    ((NoAccount, 12, CreditsExist, OldCar, 1255, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 61, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 24, DelaysInHistory, OldCar, 1333, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 43, NoOtherPlans, ResidingForFree, 2, Skilled, 2, False, True), Deny),
    ((NoAccount, 24, CreditsExist, OldCar, 2022, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 37, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 1552, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 32, PlansAtBank, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodHere, Tech, 626, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 24, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 48, CreditsExist, NewCar, 8858, UnknownOrNone, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 35, NoOtherPlans, ResidingForFree, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Repairs, 996, UnknownOrNone, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, HistoryGoodHere, Tech, 1750, GoodSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 45, PlansAtBank, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 48, HistoryGoodSoFar, Tech, 6999, SmallSavings, LongTermEmployed, 1, MaleAndWidowedOrMarried, Guarantor, 1, RealEstate, 34, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 12, CreditsExist, OldCar, 1995, NormalSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Education, 1199, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 67, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1331, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 22, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 18, HistoryGood, OldCar, 2278, NormalSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 21, HistoryGood, OldCar, 5003, UnknownOrNone, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 29, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 24, HistoryGoodHere, FunitureOrEquipment, 3552, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 27, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 18, CreditsExist, FunitureOrEquipment, 1928, SmallSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 31, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, NewCar, 2964, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 49, PlansAtBank, ResidingForFree, 1, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, Tech, 1546, SmallSavings, LongTermEmployed, 4, MaleAndSingle, Guarantor, 4, CarOrOther, 24, PlansAtBank, Renting, 1, UnskilledResident, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 6, DelaysInHistory, Tech, 683, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 29, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, OldCar, 12389, UnknownOrNone, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 37, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 24, DelaysInHistory, Business, 4712, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 37, PlansAtBank, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 24, DelaysInHistory, Tech, 1553, NormalSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 23, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 1372, SmallSavings, LongTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 3, CarOrOther, 36, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, CreditsExist, Tech, 2578, GreatSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 34, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, Tech, 3979, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 41, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 48, HistoryGoodSoFar, Tech, 6758, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 3234, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, Renting, 1, UnskilledResident, 1, True, True), Deny),
    ((NoAccount, 30, CreditsExist, Tech, 5954, SmallSavings, LongTermEmployed, 3, MaleAndSingle, CoApplicant, 2, CarOrOther, 38, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 5433, UnknownOrNone, NotEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 26, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 15, HistoryGoodSoFar, Business, 806, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 22, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Tech, 1082, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 15, CreditsExist, FunitureOrEquipment, 2788, SmallSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, CoApplicant, 3, CarOrOther, 24, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 2930, SmallSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Education, 1927, UnknownOrNone, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 33, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 36, CreditsExist, OldCar, 2820, SmallSavings, ShortTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 4, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, Retraining, 937, SmallSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, CarOrOther, 27, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, OldCar, 1056, SmallSavings, VeteranEmployed, 3, MaleAndSingle, Guarantor, 3, RealEstate, 30, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 12, CreditsExist, OldCar, 3124, SmallSavings, ShortTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 49, PlansAtBank, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 9, HistoryGoodSoFar, FunitureOrEquipment, 1388, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 26, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, Repairs, 2384, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 33, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 2133, UnknownOrNone, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 52, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, FunitureOrEquipment, 2039, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 20, PlansAtBank, Renting, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 9, CreditsExist, OldCar, 2799, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 36, NoOtherPlans, Renting, 2, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 1289, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, Guarantor, 1, Savings, 21, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Appliances, 1217, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 47, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Deny),
    ((AccountInDebt, 12, CreditsExist, FunitureOrEquipment, 2246, SmallSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 3, Savings, 60, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 12, CreditsExist, Tech, 385, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 58, NoOtherPlans, OwningRecidency, 4, UnskilledResident, 1, True, True), Accept),
    ((LowAccountBalance, 24, DelaysInHistory, OldCar, 1965, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 42, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 21, HistoryGoodSoFar, Business, 1572, GreatSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 36, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, OldCar, 2718, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 20, NoOtherPlans, Renting, 1, UnskilledResident, 1, True, True), Deny),
    ((AccountInDebt, 24, HistoryGoodHere, Other, 1358, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 40, PlansAtStores, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((LowAccountBalance, 6, HistoryGoodHere, OldCar, 931, NormalSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 32, PlansAtStores, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 1442, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 23, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 24, HistoryGood, Business, 4241, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 3, UnskilledResident, 1, True, True), Deny),
    ((NoAccount, 18, CreditsExist, OldCar, 2775, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 31, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, DelaysInHistory, Business, 3863, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 32, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 7, HistoryGoodSoFar, Tech, 2329, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, Guarantor, 1, RealEstate, 45, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, FunitureOrEquipment, 918, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 30, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 24, HistoryGoodHere, Education, 1837, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 34, PlansAtBank, ResidingForFree, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 36, HistoryGoodSoFar, FunitureOrEquipment, 3349, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((HighAccountBalanceOrRegular, 10, HistoryGoodSoFar, FunitureOrEquipment, 1275, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, FunitureOrEquipment, 2828, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 22, PlansAtStores, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, CreditsExist, Business, 4526, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 74, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, Tech, 2671, NormalSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, CoApplicant, 4, UnknownOrNoProperty, 50, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 18, HistoryGoodSoFar, Tech, 2051, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, NewCar, 1300, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 45, PlansAtBank, ResidingForFree, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Appliances, 741, NormalSavings, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 10, HistoryGoodSoFar, OldCar, 1240, NormalSavings, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 48, NoOtherPlans, ResidingForFree, 1, UnskilledResident, 2, False, True), Deny),
    ((AccountInDebt, 21, HistoryGoodSoFar, Tech, 3357, GreatSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 29, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, NewCar, 3632, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, Guarantor, 4, CarOrOther, 22, PlansAtBank, Renting, 1, Skilled, 1, False, False), Accept),
    ((NoAccount, 18, DelaysInHistory, FunitureOrEquipment, 1808, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 48, HistoryGood, Business, 12204, UnknownOrNone, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 48, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 60, DelaysInHistory, Tech, 9157, UnknownOrNone, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 27, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, False, True), Accept),
    ((AccountInDebt, 6, CreditsExist, OldCar, 3676, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 37, NoOtherPlans, Renting, 3, Skilled, 2, False, True), Accept),
    ((LowAccountBalance, 30, HistoryGoodSoFar, FunitureOrEquipment, 3441, NormalSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, CoApplicant, 4, CarOrOther, 21, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 640, SmallSavings, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, RealEstate, 49, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 21, CreditsExist, Business, 3652, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, Savings, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, OldCar, 1530, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 32, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 48, HistoryGoodSoFar, Business, 3914, UnknownOrNone, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 2, RealEstate, 38, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 1858, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 22, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Tech, 2600, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 65, NoOtherPlans, ResidingForFree, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 15, HistoryGoodSoFar, Tech, 1979, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 6, HistoryGoodSoFar, FunitureOrEquipment, 2116, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 41, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodHere, OldCar, 1437, NormalSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 42, CreditsExist, FunitureOrEquipment, 4042, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 9, HistoryGoodSoFar, Education, 3832, UnknownOrNone, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 64, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 3660, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodHere, FunitureOrEquipment, 1553, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 44, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 15, HistoryGoodSoFar, Tech, 1444, UnknownOrNone, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, Savings, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 9, HistoryGoodSoFar, FunitureOrEquipment, 1980, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, CoApplicant, 2, CarOrOther, 19, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 24, HistoryGoodSoFar, OldCar, 1355, SmallSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 25, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, Education, 1393, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 47, PlansAtBank, OwningRecidency, 3, Skilled, 2, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 1376, GoodSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 60, DelaysInHistory, Tech, 15653, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 21, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 1493, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 34, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 42, DelaysInHistory, Tech, 4370, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 26, PlansAtBank, OwningRecidency, 2, Skilled, 2, True, True), Deny),
    ((AccountInDebt, 18, HistoryGoodSoFar, Education, 750, SmallSavings, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 27, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, False, True), Deny),
    ((LowAccountBalance, 15, HistoryGoodSoFar, Repairs, 1308, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 38, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, Education, 4623, NormalSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 40, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 24, CreditsExist, Tech, 1851, SmallSavings, LongTermEmployed, 4, MaleAndWidowedOrMarried, Guarantor, 2, CarOrOther, 33, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 18, CreditsExist, Tech, 1880, SmallSavings, LongTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 1, Savings, 32, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 36, DelaysInHistory, Business, 7980, UnknownOrNone, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 27, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 30, HistoryGood, FunitureOrEquipment, 4583, SmallSavings, MediumTermEmployed, 2, MaleAndSeperated, Guarantor, 2, RealEstate, 32, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 1386, GoodSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 24, HistoryGoodSoFar, OldCar, 947, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 38, PlansAtBank, ResidingForFree, 1, Skilled, 2, False, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, Education, 684, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 40, NoOtherPlans, Renting, 1, UnskilledResident, 2, False, True), Deny),
    ((AccountInDebt, 48, HistoryGoodSoFar, Education, 7476, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 50, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, FunitureOrEquipment, 1922, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 37, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 2303, SmallSavings, VeteranEmployed, 4, MaleAndSingle, CoApplicant, 1, RealEstate, 45, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 36, DelaysInHistory, OldCar, 8086, NormalSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 42, NoOtherPlans, OwningRecidency, 4, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 24, CreditsExist, NewCar, 2346, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 35, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 14, HistoryGoodSoFar, OldCar, 3973, SmallSavings, NotEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 22, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 888, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 41, PlansAtBank, OwningRecidency, 1, UnskilledResident, 2, False, True), Deny),
    ((NoAccount, 48, HistoryGoodSoFar, Tech, 10222, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 37, PlansAtStores, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 30, HistoryGood, Business, 4221, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, FunitureOrEquipment, 6361, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, UnknownOrNoProperty, 41, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, Tech, 1297, SmallSavings, MediumTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 900, UnknownOrNone, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 21, HistoryGoodSoFar, FunitureOrEquipment, 2241, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 50, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 6, DelaysInHistory, FunitureOrEquipment, 1050, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, Savings, 35, PlansAtStores, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 6, CreditsExist, Education, 1047, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 50, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Other, 6314, SmallSavings, NotEmployed, 4, MaleAndSingle, CoApplicant, 2, UnknownOrNoProperty, 27, PlansAtBank, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 30, HistoryGoodHere, FunitureOrEquipment, 3496, GreatSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 34, PlansAtStores, OwningRecidency, 1, Skilled, 2, True, True), Accept),
    ((NoAccount, 48, HistoryGoodHere, Business, 3609, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 27, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, CreditsExist, OldCar, 4843, SmallSavings, VeteranEmployed, 3, MaleAndSingle, CoApplicant, 4, Savings, 43, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Deny),
    ((HighAccountBalanceOrRegular, 30, CreditsExist, Tech, 3017, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 47, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Business, 4139, NormalSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 3, Savings, 27, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, True, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, Business, 5742, NormalSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 31, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 60, HistoryGoodSoFar, OldCar, 10366, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 42, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 6, CreditsExist, OldCar, 2080, GoodSavings, MediumTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 21, DelaysInHistory, Business, 2580, GoodSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 41, PlansAtBank, OwningRecidency, 1, UnskilledResident, 2, False, True), Deny),
    ((NoAccount, 30, CreditsExist, Tech, 4530, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 26, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 24, CreditsExist, FunitureOrEquipment, 5150, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 72, HistoryGoodSoFar, Tech, 5595, NormalSavings, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 2384, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 64, PlansAtBank, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Tech, 1453, SmallSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, Education, 1538, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, UnknownOrNoProperty, 56, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 2279, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 37, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 15, DelaysInHistory, Tech, 1478, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 33, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Tech, 5103, SmallSavings, ShortTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 3, UnknownOrNoProperty, 47, NoOtherPlans, ResidingForFree, 3, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 36, DelaysInHistory, Business, 9857, NormalSavings, LongTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, Savings, 31, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, True, True), Accept),
    ((NoAccount, 60, HistoryGoodSoFar, OldCar, 6527, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 34, NoOtherPlans, ResidingForFree, 1, Skilled, 2, True, True), Accept),
    ((HighAccountBalanceOrRegular, 10, CreditsExist, Tech, 1347, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 36, DelaysInHistory, OldCar, 2862, NormalSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 30, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 9, HistoryGoodSoFar, Tech, 2753, NormalSavings, VeteranEmployed, 3, MaleAndSingle, CoApplicant, 4, CarOrOther, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 3651, GreatSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, Savings, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 15, CreditsExist, FunitureOrEquipment, 975, SmallSavings, MediumTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 3, Savings, 25, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 15, HistoryGoodSoFar, Repairs, 2631, NormalSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, Tech, 2896, NormalSavings, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 6, CreditsExist, OldCar, 4716, UnknownOrNone, ShortTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, RealEstate, 44, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 2284, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, NewCar, 1236, GoodSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 50, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1103, SmallSavings, LongTermEmployed, 4, MaleAndSingle, Guarantor, 3, RealEstate, 29, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, False), Accept),
    ((NoAccount, 12, CreditsExist, OldCar, 926, SmallSavings, NotEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 38, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 1800, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 24, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 15, HistoryGoodSoFar, Education, 1905, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 40, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, FunitureOrEquipment, 1123, GoodSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 29, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 48, CreditsExist, NewCar, 6331, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 46, NoOtherPlans, ResidingForFree, 2, Skilled, 1, True, True), Deny),
    ((HighAccountBalanceOrRegular, 24, HistoryGoodSoFar, Tech, 1377, NormalSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, UnknownOrNoProperty, 47, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 30, DelaysInHistory, Business, 2503, NormalSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 41, PlansAtStores, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 27, HistoryGoodSoFar, Business, 2528, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 2, True, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, OldCar, 5324, GoodSavings, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 35, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, OldCar, 6560, NormalSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 12, HistoryGood, FunitureOrEquipment, 2969, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 25, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Tech, 1206, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Tech, 2118, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 37, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 629, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 32, PlansAtBank, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 6, HistoryGoodHere, Education, 1198, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 35, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 21, HistoryGoodSoFar, NewCar, 2476, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 46, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 9, CreditsExist, Tech, 1138, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 25, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 60, HistoryGoodSoFar, OldCar, 14027, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 27, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 30, CreditsExist, NewCar, 7596, UnknownOrNone, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 63, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 30, CreditsExist, Tech, 3077, UnknownOrNone, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 40, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Tech, 1505, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 32, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 24, CreditsExist, Tech, 3148, UnknownOrNone, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 31, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 20, HistoryGood, NewCar, 6148, NormalSavings, VeteranEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 31, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 9, HistoryGood, Tech, 1337, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 34, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((LowAccountBalance, 6, HistoryGoodHere, Education, 433, GreatSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 24, PlansAtBank, Renting, 1, Skilled, 2, False, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 1228, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 24, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Tech, 790, GoodSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 66, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 27, HistoryGoodSoFar, OldCar, 2570, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 21, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 6, CreditsExist, OldCar, 250, GreatSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 41, PlansAtBank, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 15, CreditsExist, Tech, 1316, GoodSavings, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, Savings, 47, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Tech, 1882, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 25, PlansAtBank, Renting, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 48, HistoryGoodHere, Business, 6416, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, UnknownOrNoProperty, 59, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 24, CreditsExist, Business, 1275, GreatSavings, MediumTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 24, DelaysInHistory, Tech, 6403, SmallSavings, ShortTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 1987, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 21, NoOtherPlans, Renting, 1, UnskilledResident, 2, False, True), Deny),
    ((LowAccountBalance, 8, HistoryGoodSoFar, Tech, 760, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 2, RealEstate, 44, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 2603, GreatSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 4, CreditsExist, OldCar, 3380, SmallSavings, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 37, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((LowAccountBalance, 36, HistoryGoodHere, Appliances, 3990, UnknownOrNone, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, UnknownOrNoProperty, 29, PlansAtBank, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, NewCar, 11560, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 23, NoOtherPlans, Renting, 2, HighlySkilled, 1, False, True), Deny),
    ((AccountInDebt, 18, HistoryGoodSoFar, OldCar, 4380, NormalSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 35, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, True, True), Accept),
    ((NoAccount, 6, CreditsExist, OldCar, 6761, SmallSavings, LongTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 45, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 2, True, True), Accept),
    ((LowAccountBalance, 30, HistoryGood, Business, 4280, NormalSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 26, NoOtherPlans, Renting, 2, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodHere, OldCar, 2325, NormalSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 32, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 10, HistoryGoodHere, Tech, 1048, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 23, PlansAtStores, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 21, HistoryGoodSoFar, Tech, 3160, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 41, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, FunitureOrEquipment, 2483, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 22, PlansAtStores, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 39, CreditsExist, FunitureOrEquipment, 14179, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 30, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 13, CreditsExist, Business, 1797, SmallSavings, ShortTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 1, Savings, 28, PlansAtBank, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 15, HistoryGoodSoFar, OldCar, 2511, SmallSavings, NotEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 23, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 1274, SmallSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 37, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 21, HistoryGoodSoFar, NewCar, 5248, UnknownOrNone, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, NewCar, 3029, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 6, HistoryGoodSoFar, FunitureOrEquipment, 428, SmallSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, Savings, 49, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, OldCar, 976, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 23, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Business, 841, NormalSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 30, CreditsExist, Tech, 5771, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 25, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, DelaysInHistory, Repairs, 1555, GreatSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 55, NoOtherPlans, ResidingForFree, 2, Skilled, 2, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 1285, UnknownOrNone, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, UnknownOrNoProperty, 32, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 6, CreditsExist, OldCar, 1299, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 74, NoOtherPlans, OwningRecidency, 3, UnemployedOrUnskilledNonResident, 2, False, False), Accept),
    ((HighAccountBalanceOrRegular, 15, CreditsExist, Tech, 1271, UnknownOrNone, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 39, NoOtherPlans, ResidingForFree, 2, Skilled, 1, True, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 1393, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, Guarantor, 2, RealEstate, 31, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 12, CreditsExist, OldCar, 691, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 35, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 15, CreditsExist, OldCar, 5045, UnknownOrNone, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 59, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 18, CreditsExist, FunitureOrEquipment, 2124, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 24, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 2214, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 24, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 21, CreditsExist, OldCar, 12680, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 30, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 24, CreditsExist, OldCar, 2463, NormalSavings, LongTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, Savings, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, Tech, 1155, SmallSavings, VeteranEmployed, 3, MaleAndWidowedOrMarried, Guarantor, 3, RealEstate, 40, PlansAtBank, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 30, HistoryGoodSoFar, FunitureOrEquipment, 3108, SmallSavings, ShortTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, Savings, 31, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 10, HistoryGoodSoFar, NewCar, 2901, UnknownOrNone, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 31, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, CreditsExist, FunitureOrEquipment, 3617, SmallSavings, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, Renting, 3, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 1655, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 63, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, NewCar, 2812, UnknownOrNone, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 26, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 36, CreditsExist, Education, 8065, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, UnknownOrNoProperty, 25, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 21, CreditsExist, NewCar, 3275, SmallSavings, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 36, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 24, CreditsExist, Tech, 2223, NormalSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 52, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 12, CreditsExist, OldCar, 1480, GoodSavings, NotEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 66, PlansAtBank, ResidingForFree, 3, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, OldCar, 1371, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 25, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 36, CreditsExist, OldCar, 3535, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 37, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Tech, 3509, SmallSavings, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 1, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 36, CreditsExist, NewCar, 5711, GreatSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 38, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Repairs, 3872, SmallSavings, NotEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 67, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 39, CreditsExist, Tech, 4933, SmallSavings, LongTermEmployed, 2, MaleAndSingle, Guarantor, 2, RealEstate, 25, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, CreditsExist, OldCar, 1940, GreatSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 60, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGood, Retraining, 1410, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 31, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 836, NormalSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 23, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((LowAccountBalance, 20, HistoryGoodSoFar, NewCar, 6468, UnknownOrNone, NotEmployed, 1, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 60, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 18, HistoryGoodSoFar, Business, 1941, GreatSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 35, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, True, True), Accept),
    ((NoAccount, 22, HistoryGoodSoFar, Tech, 2675, GoodSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 40, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 48, CreditsExist, NewCar, 2751, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 38, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((LowAccountBalance, 48, DelaysInHistory, Education, 6224, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 50, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 40, CreditsExist, Education, 5998, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 27, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 21, HistoryGoodSoFar, Business, 1188, SmallSavings, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 39, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 6313, UnknownOrNone, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 41, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 2, True, True), Accept),
    ((NoAccount, 6, CreditsExist, FunitureOrEquipment, 1221, UnknownOrNone, MediumTermEmployed, 1, MaleAndWidowedOrMarried, NoOtherDebtors, 2, Savings, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 24, HistoryGoodSoFar, FunitureOrEquipment, 2892, SmallSavings, VeteranEmployed, 3, MaleAndSeperated, NoOtherDebtors, 4, UnknownOrNoProperty, 51, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, FunitureOrEquipment, 3062, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 32, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 9, HistoryGoodSoFar, FunitureOrEquipment, 2301, NormalSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 22, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, NewCar, 7511, UnknownOrNone, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, Savings, 51, NoOtherPlans, ResidingForFree, 1, Skilled, 2, True, True), Deny),
    ((NoAccount, 12, CreditsExist, FunitureOrEquipment, 1258, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 22, NoOtherPlans, Renting, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 24, DelaysInHistory, OldCar, 717, UnknownOrNone, VeteranEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 54, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, OldCar, 1549, UnknownOrNone, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 35, NoOtherPlans, OwningRecidency, 1, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((NoAccount, 24, CreditsExist, Education, 1597, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 54, NoOtherPlans, ResidingForFree, 2, Skilled, 2, False, True), Accept),
    ((LowAccountBalance, 18, CreditsExist, Tech, 1795, SmallSavings, VeteranEmployed, 3, FemaleAndSeperatedOrMarried, Guarantor, 4, RealEstate, 48, PlansAtBank, Renting, 2, UnskilledResident, 1, True, True), Accept),
    ((AccountInDebt, 20, CreditsExist, FunitureOrEquipment, 4272, SmallSavings, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 24, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 976, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 35, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 7472, UnknownOrNone, NotEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 24, NoOtherPlans, Renting, 1, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, OldCar, 9271, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 6, HistoryGoodSoFar, Tech, 590, SmallSavings, ShortTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, False), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 930, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 65, NoOtherPlans, OwningRecidency, 4, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 42, HistoryGoodHere, NewCar, 9283, SmallSavings, NotEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 55, PlansAtBank, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 15, HistoryGood, OldCar, 1778, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 26, NoOtherPlans, Renting, 2, UnemployedOrUnskilledNonResident, 1, False, True), Deny),
    ((LowAccountBalance, 8, HistoryGoodSoFar, Business, 907, SmallSavings, ShortTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 6, HistoryGoodSoFar, Tech, 484, SmallSavings, LongTermEmployed, 3, MaleAndWidowedOrMarried, Guarantor, 3, RealEstate, 28, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 36, CreditsExist, NewCar, 9629, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 24, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 48, HistoryGoodSoFar, Appliances, 3051, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 54, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 48, HistoryGoodSoFar, OldCar, 3931, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 46, NoOtherPlans, ResidingForFree, 1, Skilled, 2, False, True), Deny),
    ((LowAccountBalance, 36, DelaysInHistory, OldCar, 7432, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 54, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, HistoryGoodSoFar, Appliances, 1338, GoodSavings, MediumTermEmployed, 1, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 62, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, CreditsExist, Tech, 1554, SmallSavings, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 24, NoOtherPlans, Renting, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, Other, 15857, SmallSavings, NotEmployed, 2, MaleAndSeperated, CoApplicant, 3, CarOrOther, 43, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Tech, 1345, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 26, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 1101, SmallSavings, MediumTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 12, HistoryGoodSoFar, Tech, 3016, SmallSavings, MediumTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 1, CarOrOther, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, FunitureOrEquipment, 2712, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 41, PlansAtBank, OwningRecidency, 1, Skilled, 2, False, True), Deny),
    ((AccountInDebt, 8, CreditsExist, OldCar, 731, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 47, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, FunitureOrEquipment, 3780, SmallSavings, ShortTermEmployed, 3, MaleAndSeperated, NoOtherDebtors, 2, CarOrOther, 35, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 21, CreditsExist, OldCar, 1602, SmallSavings, VeteranEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, CarOrOther, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 18, CreditsExist, OldCar, 3966, SmallSavings, VeteranEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 33, PlansAtBank, Renting, 3, Skilled, 1, True, True), Deny),
    ((NoAccount, 18, HistoryGood, Business, 4165, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 36, PlansAtStores, OwningRecidency, 2, Skilled, 2, False, True), Deny),
    ((AccountInDebt, 36, HistoryGoodSoFar, NewCar, 8335, UnknownOrNone, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 47, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 48, DelaysInHistory, Business, 6681, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 38, NoOtherPlans, ResidingForFree, 1, Skilled, 2, True, True), Accept),
    ((NoAccount, 24, DelaysInHistory, Business, 2375, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 44, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, OldCar, 1216, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 23, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 45, HistoryGood, Business, 11816, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 29, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 24, HistoryGoodSoFar, Tech, 5084, UnknownOrNone, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 42, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 15, HistoryGoodSoFar, Tech, 2327, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 25, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 12, HistoryGood, OldCar, 1082, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 48, PlansAtBank, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 886, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 21, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 4, HistoryGoodSoFar, FunitureOrEquipment, 601, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, RealEstate, 23, NoOtherPlans, Renting, 1, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 24, CreditsExist, NewCar, 2957, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 63, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, CreditsExist, Tech, 2611, SmallSavings, VeteranEmployed, 4, MaleAndWidowedOrMarried, CoApplicant, 3, RealEstate, 46, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, FunitureOrEquipment, 5179, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 21, DelaysInHistory, NewCar, 2993, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 28, PlansAtStores, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, Repairs, 1943, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, HistoryGoodHere, Business, 1559, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 50, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, FunitureOrEquipment, 3422, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 47, PlansAtBank, OwningRecidency, 3, Skilled, 2, True, True), Accept),
    ((LowAccountBalance, 21, HistoryGoodSoFar, FunitureOrEquipment, 3976, UnknownOrNone, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, OldCar, 6761, UnknownOrNone, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 68, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 1249, SmallSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 9, HistoryGoodSoFar, Tech, 1364, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 59, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 709, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 57, PlansAtStores, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((AccountInDebt, 20, CreditsExist, OldCar, 2235, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, Guarantor, 2, Savings, 33, PlansAtBank, Renting, 2, Skilled, 1, False, False), Deny),
    ((NoAccount, 24, CreditsExist, NewCar, 4042, UnknownOrNone, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, Savings, 43, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 15, CreditsExist, Tech, 1471, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 35, NoOtherPlans, ResidingForFree, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 18, HistoryGoodHere, OldCar, 1442, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 32, NoOtherPlans, ResidingForFree, 2, UnskilledResident, 2, False, True), Deny),
    ((NoAccount, 36, DelaysInHistory, OldCar, 10875, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 45, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 1474, NormalSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, RealEstate, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 10, HistoryGoodSoFar, Retraining, 894, UnknownOrNone, LongTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 40, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 15, CreditsExist, FunitureOrEquipment, 3343, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 28, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 15, HistoryGoodSoFar, OldCar, 3959, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 9, HistoryGoodSoFar, OldCar, 3577, NormalSavings, MediumTermEmployed, 1, MaleAndSingle, Guarantor, 2, RealEstate, 26, NoOtherPlans, Renting, 1, Skilled, 2, False, False), Accept),
    ((NoAccount, 24, CreditsExist, NewCar, 5804, GreatSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 27, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, DelaysInHistory, Business, 2169, SmallSavings, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, Tech, 2439, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 27, CreditsExist, FunitureOrEquipment, 4526, GreatSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 32, PlansAtStores, OwningRecidency, 2, UnskilledResident, 2, True, True), Accept),
    ((NoAccount, 10, HistoryGoodSoFar, FunitureOrEquipment, 2210, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 25, PlansAtBank, Renting, 1, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 15, HistoryGoodSoFar, FunitureOrEquipment, 2221, GoodSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 20, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Tech, 2389, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 27, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, FunitureOrEquipment, 3331, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 42, PlansAtStores, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, Business, 7409, UnknownOrNone, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, Savings, 37, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 652, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 24, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 36, DelaysInHistory, FunitureOrEquipment, 7678, GoodSavings, LongTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 40, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 6, CreditsExist, OldCar, 1343, SmallSavings, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 46, NoOtherPlans, OwningRecidency, 2, Skilled, 2, False, False), Accept),
    ((AccountInDebt, 24, CreditsExist, Business, 1382, NormalSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 26, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, Appliances, 874, UnknownOrNone, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, RealEstate, 24, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, FunitureOrEquipment, 3590, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, CoApplicant, 2, Savings, 29, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((LowAccountBalance, 11, CreditsExist, OldCar, 1322, GreatSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 40, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodHere, Tech, 1940, SmallSavings, ShortTermEmployed, 3, MaleAndSingle, CoApplicant, 4, UnknownOrNoProperty, 36, PlansAtBank, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 36, HistoryGoodSoFar, Tech, 3595, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 9, HistoryGoodSoFar, OldCar, 1422, SmallSavings, ShortTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 27, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 30, CreditsExist, Tech, 6742, UnknownOrNone, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, Savings, 36, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 7814, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 38, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, NewCar, 9277, UnknownOrNone, MediumTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, UnknownOrNoProperty, 48, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Accept),
    ((LowAccountBalance, 30, CreditsExist, OldCar, 2181, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 36, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 1098, SmallSavings, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 65, NoOtherPlans, OwningRecidency, 2, UnemployedOrUnskilledNonResident, 1, False, True), Accept),
    ((LowAccountBalance, 24, HistoryGoodSoFar, FunitureOrEquipment, 4057, SmallSavings, LongTermEmployed, 3, MaleAndSeperated, NoOtherDebtors, 3, CarOrOther, 43, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, Education, 795, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 53, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 24, CreditsExist, Business, 2825, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 34, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((LowAccountBalance, 48, HistoryGoodSoFar, Business, 15672, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 23, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 36, CreditsExist, OldCar, 6614, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 34, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 28, HistoryGoodHere, NewCar, 7824, UnknownOrNone, ShortTermEmployed, 3, MaleAndSingle, Guarantor, 4, RealEstate, 40, PlansAtBank, Renting, 2, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 27, CreditsExist, Business, 2442, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 43, PlansAtStores, OwningRecidency, 4, HighlySkilled, 2, True, True), Accept),
    ((NoAccount, 15, CreditsExist, Tech, 1829, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 46, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 12, CreditsExist, OldCar, 2171, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 38, PlansAtBank, OwningRecidency, 2, UnskilledResident, 1, False, False), Accept),
    ((LowAccountBalance, 36, CreditsExist, NewCar, 5800, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 34, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 18, CreditsExist, Tech, 1169, UnknownOrNone, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 29, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 36, DelaysInHistory, NewCar, 8947, UnknownOrNone, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 31, PlansAtStores, OwningRecidency, 1, HighlySkilled, 2, True, True), Accept),
    ((AccountInDebt, 21, HistoryGoodSoFar, Tech, 2606, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 28, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, CreditsExist, FunitureOrEquipment, 1592, GreatSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 35, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, False), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, FunitureOrEquipment, 2186, UnknownOrNone, LongTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 33, PlansAtBank, Renting, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, FunitureOrEquipment, 4153, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, CoApplicant, 3, CarOrOther, 42, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 16, CreditsExist, OldCar, 2625, SmallSavings, VeteranEmployed, 2, MaleAndSingle, Guarantor, 4, Savings, 43, PlansAtBank, Renting, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 20, CreditsExist, OldCar, 3485, UnknownOrNone, ShortTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 4, RealEstate, 44, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Accept),
    ((NoAccount, 36, CreditsExist, NewCar, 10477, UnknownOrNone, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 42, NoOtherPlans, ResidingForFree, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, Tech, 1386, UnknownOrNone, MediumTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 40, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 1278, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 36, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 1107, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 20, NoOtherPlans, Renting, 1, HighlySkilled, 2, True, True), Accept),
    ((AccountInDebt, 21, HistoryGoodSoFar, OldCar, 3763, UnknownOrNone, LongTermEmployed, 2, MaleAndSingle, CoApplicant, 2, RealEstate, 24, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, False), Accept),
    ((LowAccountBalance, 36, HistoryGoodSoFar, Education, 3711, UnknownOrNone, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, CarOrOther, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 15, DelaysInHistory, NewCar, 3594, SmallSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 46, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, OldCar, 3195, UnknownOrNone, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 33, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 36, DelaysInHistory, Tech, 4454, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 34, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, FunitureOrEquipment, 4736, SmallSavings, ShortTermEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 25, PlansAtBank, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((LowAccountBalance, 30, HistoryGoodSoFar, Tech, 2991, UnknownOrNone, VeteranEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 25, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 11, HistoryGoodSoFar, Business, 2142, GreatSavings, VeteranEmployed, 1, MaleAndSeperated, NoOtherDebtors, 2, RealEstate, 28, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, Business, 3161, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 31, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 48, HistoryGood, Other, 18424, SmallSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, Savings, 32, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, True, False), Deny),
    ((NoAccount, 10, HistoryGoodSoFar, NewCar, 2848, NormalSavings, MediumTermEmployed, 1, MaleAndSingle, CoApplicant, 2, RealEstate, 32, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Accept),
    ((AccountInDebt, 6, HistoryGoodSoFar, OldCar, 14896, SmallSavings, VeteranEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 68, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 2359, NormalSavings, NotEmployed, 1, MaleAndSeperated, NoOtherDebtors, 1, Savings, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 3345, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 39, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Deny),
    ((NoAccount, 18, CreditsExist, FunitureOrEquipment, 1817, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, UnknownOrNoProperty, 28, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 48, DelaysInHistory, Tech, 12749, GoodSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 37, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 9, HistoryGoodSoFar, Tech, 1366, SmallSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 22, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 12, HistoryGoodSoFar, OldCar, 2002, SmallSavings, LongTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, Savings, 30, NoOtherPlans, Renting, 1, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, FunitureOrEquipment, 6872, SmallSavings, ShortTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 1, Savings, 55, PlansAtBank, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 12, HistoryGoodHere, OldCar, 697, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 46, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((AccountInDebt, 18, CreditsExist, FunitureOrEquipment, 1049, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 21, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 48, HistoryGoodSoFar, NewCar, 10297, SmallSavings, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 39, PlansAtStores, ResidingForFree, 3, Skilled, 2, True, True), Deny),
    ((NoAccount, 30, HistoryGoodSoFar, Tech, 1867, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 58, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 12, DelaysInHistory, OldCar, 1344, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 43, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, FunitureOrEquipment, 1747, SmallSavings, ShortTermEmployed, 4, MaleAndSingle, CoApplicant, 1, Savings, 24, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, False), Accept),
    ((LowAccountBalance, 9, HistoryGoodSoFar, Tech, 1670, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Deny),
    ((NoAccount, 9, CreditsExist, OldCar, 1224, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, Tech, 522, GoodSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 42, NoOtherPlans, OwningRecidency, 2, Skilled, 2, True, True), Accept),
    ((AccountInDebt, 12, HistoryGoodSoFar, Tech, 1498, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 23, PlansAtBank, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 30, DelaysInHistory, Tech, 1919, NormalSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, UnknownOrNoProperty, 30, PlansAtStores, OwningRecidency, 2, HighlySkilled, 1, False, True), Deny),
    ((HighAccountBalanceOrRegular, 9, HistoryGoodSoFar, Tech, 745, SmallSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, RealEstate, 28, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((LowAccountBalance, 6, HistoryGoodSoFar, Tech, 2063, SmallSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, NoOtherDebtors, 3, CarOrOther, 30, NoOtherPlans, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 60, HistoryGoodSoFar, Education, 6288, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 42, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 24, CreditsExist, NewCar, 6842, UnknownOrNone, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, Savings, 46, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 2, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 3527, UnknownOrNone, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 3, Savings, 45, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 2, True, True), Accept),
    ((NoAccount, 10, HistoryGoodSoFar, OldCar, 1546, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 31, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, False), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, FunitureOrEquipment, 929, UnknownOrNone, LongTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 31, PlansAtStores, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 4, CreditsExist, OldCar, 1455, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, RealEstate, 42, NoOtherPlans, OwningRecidency, 3, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 15, HistoryGoodSoFar, FunitureOrEquipment, 1845, SmallSavings, ShortTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 1, Savings, 46, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 48, HistoryGood, OldCar, 8358, GoodSavings, ShortTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 30, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, FunitureOrEquipment, 3349, GoodSavings, ShortTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 30, NoOtherPlans, ResidingForFree, 1, Skilled, 2, True, True), Deny),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 2859, UnknownOrNone, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 38, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 18, HistoryGoodSoFar, FunitureOrEquipment, 1533, SmallSavings, ShortTermEmployed, 4, MaleAndWidowedOrMarried, CoApplicant, 1, Savings, 43, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Deny),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 3621, NormalSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 31, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 18, CreditsExist, Business, 3590, SmallSavings, NotEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 3, CarOrOther, 40, NoOtherPlans, OwningRecidency, 3, UnemployedOrUnskilledNonResident, 2, True, True), Accept),
    ((AccountInDebt, 36, DelaysInHistory, Business, 2145, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, CarOrOther, 24, NoOtherPlans, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 24, HistoryGoodSoFar, NewCar, 4113, GoodSavings, ShortTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, CarOrOther, 28, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 36, HistoryGoodSoFar, FunitureOrEquipment, 10974, SmallSavings, NotEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 26, NoOtherPlans, OwningRecidency, 2, HighlySkilled, 1, True, True), Deny),
    ((AccountInDebt, 12, HistoryGoodSoFar, OldCar, 1893, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, Guarantor, 4, Savings, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 24, CreditsExist, Tech, 1231, GreatSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, Savings, 57, NoOtherPlans, Renting, 2, HighlySkilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 30, CreditsExist, Tech, 3656, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, Savings, 49, PlansAtStores, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 9, CreditsExist, Tech, 1154, SmallSavings, VeteranEmployed, 2, MaleAndSingle, NoOtherDebtors, 4, RealEstate, 37, NoOtherPlans, OwningRecidency, 3, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 28, HistoryGoodSoFar, OldCar, 4006, SmallSavings, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 45, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Deny),
    ((LowAccountBalance, 24, HistoryGoodSoFar, FunitureOrEquipment, 3069, NormalSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 30, NoOtherPlans, ResidingForFree, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 6, CreditsExist, Tech, 1740, SmallSavings, VeteranEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, RealEstate, 30, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 21, DelaysInHistory, OldCar, 2353, SmallSavings, MediumTermEmployed, 1, MaleAndSeperated, NoOtherDebtors, 4, Savings, 47, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 15, HistoryGoodSoFar, OldCar, 3556, UnknownOrNone, MediumTermEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 29, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, Tech, 2397, GoodSavings, VeteranEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 35, PlansAtBank, OwningRecidency, 2, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 6, HistoryGoodSoFar, Repairs, 454, SmallSavings, ShortTermEmployed, 3, MaleAndWidowedOrMarried, NoOtherDebtors, 1, Savings, 22, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 30, HistoryGoodSoFar, Tech, 1715, UnknownOrNone, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 27, CreditsExist, Tech, 2520, GoodSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 23, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Deny),
    ((NoAccount, 15, HistoryGoodSoFar, Tech, 3568, SmallSavings, VeteranEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 54, PlansAtBank, Renting, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 42, HistoryGoodSoFar, Tech, 7166, UnknownOrNone, LongTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 4, Savings, 29, NoOtherPlans, Renting, 1, Skilled, 1, True, True), Accept),
    ((AccountInDebt, 11, CreditsExist, OldCar, 3939, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 2, RealEstate, 40, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((LowAccountBalance, 15, HistoryGoodSoFar, Repairs, 1514, NormalSavings, MediumTermEmployed, 4, MaleAndSingle, Guarantor, 2, RealEstate, 22, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, HistoryGoodSoFar, OldCar, 7393, SmallSavings, MediumTermEmployed, 1, MaleAndSingle, NoOtherDebtors, 4, Savings, 43, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodHere, OldCar, 1193, SmallSavings, NotEmployed, 1, FemaleAndSeperatedOrMarried, CoApplicant, 4, UnknownOrNoProperty, 29, NoOtherPlans, Renting, 2, UnemployedOrUnskilledNonResident, 1, False, True), Deny),
    ((AccountInDebt, 60, HistoryGoodSoFar, Business, 7297, SmallSavings, VeteranEmployed, 4, MaleAndSingle, CoApplicant, 4, UnknownOrNoProperty, 36, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 30, CreditsExist, Tech, 2831, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 2, CarOrOther, 33, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((HighAccountBalanceOrRegular, 24, HistoryGoodSoFar, Tech, 1258, GoodSavings, MediumTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, CarOrOther, 57, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((LowAccountBalance, 6, HistoryGoodSoFar, Tech, 753, SmallSavings, MediumTermEmployed, 2, FemaleAndSeperatedOrMarried, Guarantor, 3, RealEstate, 64, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((LowAccountBalance, 18, DelaysInHistory, Business, 2427, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 42, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 24, DelaysInHistory, OldCar, 2538, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 47, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Deny),
    ((LowAccountBalance, 15, HistoryGoodHere, OldCar, 1264, NormalSavings, MediumTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 2, Savings, 25, NoOtherPlans, Renting, 1, Skilled, 1, False, True), Deny),
    ((LowAccountBalance, 30, CreditsExist, FunitureOrEquipment, 8386, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 49, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Deny),
    ((NoAccount, 48, HistoryGoodSoFar, Business, 4844, SmallSavings, NotEmployed, 3, MaleAndSingle, NoOtherDebtors, 2, CarOrOther, 33, PlansAtBank, Renting, 1, HighlySkilled, 1, True, True), Deny),
    ((HighAccountBalanceOrRegular, 21, HistoryGoodSoFar, OldCar, 2923, NormalSavings, MediumTermEmployed, 1, FemaleAndSeperatedOrMarried, NoOtherDebtors, 1, CarOrOther, 28, PlansAtBank, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, NewCar, 8229, SmallSavings, MediumTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 26, NoOtherPlans, OwningRecidency, 1, Skilled, 2, False, True), Deny),
    ((NoAccount, 24, CreditsExist, FunitureOrEquipment, 2028, SmallSavings, LongTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 2, Savings, 30, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 15, CreditsExist, FunitureOrEquipment, 1433, SmallSavings, MediumTermEmployed, 4, FemaleAndSeperatedOrMarried, NoOtherDebtors, 3, Savings, 25, NoOtherPlans, Renting, 2, Skilled, 1, False, True), Accept),
    ((HighAccountBalanceOrRegular, 42, HistoryGood, Business, 6289, SmallSavings, ShortTermEmployed, 2, MaleAndSeperated, NoOtherDebtors, 1, Savings, 33, NoOtherPlans, OwningRecidency, 2, Skilled, 1, False, True), Accept),
    ((NoAccount, 13, HistoryGoodSoFar, Tech, 1409, NormalSavings, NotEmployed, 2, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 64, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 24, HistoryGoodSoFar, NewCar, 6579, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, UnknownOrNoProperty, 29, NoOtherPlans, ResidingForFree, 1, HighlySkilled, 1, True, True), Accept),
    ((LowAccountBalance, 24, CreditsExist, Tech, 1743, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 2, Savings, 48, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 1, False, True), Accept),
    ((NoAccount, 12, CreditsExist, Education, 3565, UnknownOrNone, ShortTermEmployed, 2, MaleAndSingle, NoOtherDebtors, 1, Savings, 37, NoOtherPlans, OwningRecidency, 2, UnskilledResident, 2, False, True), Accept),
    ((NoAccount, 15, HistoryGoodHere, Tech, 1569, NormalSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 34, PlansAtBank, OwningRecidency, 1, UnskilledResident, 2, False, True), Accept),
    ((AccountInDebt, 18, HistoryGoodSoFar, Tech, 1936, UnknownOrNone, LongTermEmployed, 2, MaleAndWidowedOrMarried, NoOtherDebtors, 4, CarOrOther, 23, NoOtherPlans, Renting, 2, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 36, HistoryGoodSoFar, FunitureOrEquipment, 3959, SmallSavings, NotEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, Savings, 30, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, OldCar, 2390, UnknownOrNone, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 3, CarOrOther, 50, NoOtherPlans, OwningRecidency, 1, Skilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, FunitureOrEquipment, 1736, SmallSavings, LongTermEmployed, 3, FemaleAndSeperatedOrMarried, NoOtherDebtors, 4, RealEstate, 31, NoOtherPlans, OwningRecidency, 1, UnskilledResident, 1, False, True), Accept),
    ((AccountInDebt, 30, HistoryGoodSoFar, NewCar, 3857, SmallSavings, MediumTermEmployed, 4, MaleAndSeperated, NoOtherDebtors, 4, Savings, 40, NoOtherPlans, OwningRecidency, 1, HighlySkilled, 1, True, True), Accept),
    ((NoAccount, 12, HistoryGoodSoFar, Tech, 804, SmallSavings, VeteranEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 38, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept),
    ((AccountInDebt, 45, HistoryGoodSoFar, Tech, 1845, SmallSavings, MediumTermEmployed, 4, MaleAndSingle, NoOtherDebtors, 4, UnknownOrNoProperty, 23, NoOtherPlans, ResidingForFree, 1, Skilled, 1, True, True), Deny),
    ((LowAccountBalance, 45, CreditsExist, NewCar, 4576, NormalSavings, NotEmployed, 3, MaleAndSingle, NoOtherDebtors, 4, CarOrOther, 27, NoOtherPlans, OwningRecidency, 1, Skilled, 1, False, True), Accept)
  ]
