{-# LANGUAGE DeriveGeneric #-}
{-# LANGUAGE MultiParamTypeClasses #-}
{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE TypeApplications #-}
{-# LANGUAGE NoImplicitPrelude #-}

module LambdaDatasets.NurseryData
  ( module LambdaDatasets.NurseryDefinition,
    module LambdaDatasets.NurseryData,
  )
where

import Protolude
import LambdaDatasets.NurseryDefinition

nurseryTrainingData :: [((Parents, HasNurs, Form, Children, Housing, Finance, Social, Health), NurseryClass)]
nurseryTrainingData =
  [ ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Recommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Recommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Usual,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),VeryRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((Pretentious,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,LessProperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,ImproperNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,CriticalNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,CompletedFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,IncompleteFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,OneChild,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,TwoChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,ThreeChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),Priority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,ConvenientHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,LessConvHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,ConvenientFinance,ProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,NotProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,SlightlyProblematicSocial,NotRecommendHealth),NotRecommend),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,RecommendedHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,PriorityHealth),SpecPriority),
    ((GreatPret,VeryCritNurs,FosterFamilyForm,MoreChilds,CriticalHousing,InconvFinance,ProblematicSocial,NotRecommendHealth),NotRecommend)
  ]
